# `abacusai.graph_dashboard`

## Module Contents

### Classes

`GraphDashboard` | A Graph Dashboard

class abacusai.graph_dashboard.GraphDashboard(client, name=None, graphDashboardId=None, createdAt=None, projectId=None, pythonFunctionIds=None, plotReferenceIds=None, pythonFunctionNames=None, projectName=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  A Graph Dashboard

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - name (str) – The user-friendly name for the graph dashboard.

    - graphDashboardId (str) – The unique identifier of the graph dashboard.

    - createdAt (str) – Date and time at which the graph dashboard was created, in ISO-8601 format.

    - projectId (str) – The unique identifier of the project this graph dashboard belongs to.

    - pythonFunctionIds (list[str]) – List of Python function IDs included in the dashboard.

    - plotReferenceIds (list[str]) – List of the graph reference IDs for the plots to the dashboard.

    - pythonFunctionNames (list[str]) – List of names of each of the plots to the dashboard.

    - projectName (str) – The name the graph dashboard belongs to.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict

  refresh()

    Calls describe and refreshes the current object’s fields

    Returns:

      The current object

    Return type:

      GraphDashboard

  describe()

    Describes a given graph dashboard.

    Parameters:

      graph_dashboard_id (str) – Unique identifier for the graph dashboard.

    Returns:

      An object containing information about the graph dashboard.

    Return type:

      GraphDashboard

  delete()

    Deletes a graph dashboard

    Parameters:

      graph_dashboard_id (str) – Unique string identifier for the graph dashboard to be deleted.

  update(name=None, python_function_ids=None)

    Updates a graph dashboard

    Parameters:

      - name (str) – Name of the dashboard.

      - python_function_ids (list) – List of unique string identifiers for the Python functions to be used in the graph dashboard.

    Returns:

      An object describing the graph dashboard.

    Return type:

      GraphDashboard